"""
存放常量
"""

# # 增加列调整因子
# 存储数据时使用因子调整为整数uint32，读取时使用因子倒数调整回原始数据
# 可简化代码及提高存取速度
# 防止数据溢出，尽量保持原有数据精度。

# 最早上市日期 1990-12-10
# 首个交易日期 1990-12-19

ADJUST_FACTOR = {'turnover': 1000000,     # 换手率为百分比34.78 代表 34.78%
                 'open': 1000,             
                 'high': 1000,             
                 'low': 1000,           
                 'close': 1000,  
                 'prev_close': 1000,
                 'circulating_share' : 0.0001,
                 'total_share' : 0.0001,
                 'amount': 0.0001,
                 'volume': 0.0001,      # 指数数据须缩小，否则会溢出
                 'cmv': 0.0001,
                 'tmv': 0.0001}

# 包含退市或暂停上市股票代码
TEST_SYMBOLS = frozenset(['000001', '000033', '000155', '000333', '000792',
                          '002006', '002071', '002146', '002209', '002024',
                          '300001', '300354', '300422', '300537', '300692',
                          '600000', '600432', '600645', '601857', '601398'])

OHLC = frozenset(['open', 'high', 'low', 'close'])
# # 增加不参与调整的列
EXTRA_COLUMNS = ('prev_close', 'turnover', 'amount', 'tmv', 'cmv')